com.mockobjects.jms

## Class MockTopicConnection

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockConnection
    - - com.mockobjects.jms.MockTopicConnection

- All Implemented Interfaces:
    Verifiable

      public class MockTopicConnection
      extends MockConnection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTopicConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionConsumer` | `createConnectionConsumer(Topic topic, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`
    `void` | `setupCreateTopicSession(TopicSession topicSessionToReturn)`

    - ### Methods inherited from class com.mockobjects.jms.MockConnection

      `close, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, setExpectedCloseCalls, setExpectedStartCalls, setExpectedStopCalls, setupThrowException, start, stop`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockTopicConnection

          public MockTopicConnection()

  - ### Method Detail

    - #### setupCreateTopicSession

          public void setupCreateTopicSession(TopicSession topicSessionToReturn)

    - #### createConnectionConsumer

          public ConnectionConsumer createConnectionConsumer(Topic topic,
                                                             java.lang.String messageSelector,
                                                             ServerSessionPool sessionPool,
                                                             int maxMessages)
                                                      throws JMSException

      Throws:
        `JMSException`

    - #### createDurableConnectionConsumer

          public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                                    java.lang.String subscriptionName,
                                                                    java.lang.String messageSelector,
                                                                    ServerSessionPool sessionPool,
                                                                    int maxMessages)
                                                             throws JMSException

      Throws:
        `JMSException`

    - #### createTopicSession

          public TopicSession createTopicSession(boolean transacted,
                                                 int acknowledgeMode)
                                          throws JMSException

      Throws:
        `JMSException`

Copyright © 2002 Mock Objects. All Rights Reserved.